/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package scalablecontent01;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.scene.web.WebView;
import javafx.stage.Stage;
import jfxtras.labs.scene.control.window.Window;
import jfxtras.labs.scene.layout.ScalableContentPane;

/**
 *
 * @author Michael Hoffer <info@michaelhoffer.de>
 */
public class ScalableContent01 extends Application {
    
    @Override
    public void start(Stage primaryStage) {
        
        // create a scalable content pane
        ScalableContentPane scaledPane = new ScalableContentPane();
        
        // use it's predefined content pane as root pane
        Pane root = scaledPane.getContentPane();
        
        // create a window control
        Window w1 = new Window("My Window 1");
        w1.setPrefSize(300, 200);
        
        // add a webview to the first window control
        WebView webView = new WebView();
        webView.getEngine().load("http://google.com");
        w1.getContentPane().getChildren().add(webView);
 
        // add the first window control to the root pane
        root.getChildren().add(w1);
        
        // create a second window control
        Window w2 = new Window("My Window 2");
        w2.setLayoutX(400);
        w2.setPrefSize(300, 200);
        
        // add the second window control to the root pane
        root.getChildren().add(w2);
        
        // add the scalable pane to the scene
        Scene scene = new Scene(scaledPane, 600, 400);
        
        // setup the stage
        primaryStage.setTitle("Scalable Content");
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    /**
     * The main() method is ignored in correctly deployed JavaFX application.
     * main() serves only as fallback in case the application can not be
     * launched through deployment artifacts, e.g., in IDEs with limited FX
     * support. NetBeans ignores main().
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
    }
}
